"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _invariant = _interopRequireDefault(require("invariant"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useValidator = ({
  points,
  isDrawMode,
  createdPolygon,
  onChangePoints
}) => {
  (0, _react.useMemo)(() => {
    (0, _invariant.default)(typeof isDrawMode === 'boolean', `'isDrawMode' was provided but with wrong type ! expected type is a boolean.`);
    (0, _invariant.default)(typeof createdPolygon === 'boolean', `'createdPolygon' was provided but with wrong type ! expected type is a boolean.`);
    (0, _invariant.default)(points instanceof Array, `'points' was provided but with wrong type ! expected type is a points[{  x: number; y: number},...].`);
    (0, _invariant.default)(typeof onChangePoints === 'function', `'onChangePoints' was provided but with wrong type ! expected type is a function.`); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
};

var _default = useValidator;
exports.default = _default;
//# sourceMappingURL=index.js.map